Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# ParticleSystem Class Reference

Contains and manages a particle system. More...

Inheritance diagram for ParticleSystem:

List of all members.

## Public Member Functions
| ParticleSystem (ParticleSystem const copy)
| Copy Constructor.
| ParticleSystem (int pool_size)
| Default Constructor.
| ParticleSystem ()
| Default Constructor.
| addSpawnTemplate (ParticleSystem ps)
| clearFloorZ ()
| clearSpawnTemplates ()
| clearToInitial ()
| Resets the system to its start state by resizing to 0, then resizing back to current size.
bool | getActiveSystemFlag ()
float | getBirthRate ()
BaseParticleEmitter | getEmitter ()
BaseParticleFactory | getFactory ()
float | getFloorZ ()
bool | getIWasSpawnedFlag ()
int | getLitterSize ()
int | getLitterSpread ()
int | getLivingParticles ()
bool | getLocalVelocityFlag ()
int | getPoolSize ()
BaseParticleRenderer | getRenderer ()
NodePath | getRenderParent ()
float | getSoftBirthRate ()
bool | getSpawnOnDeathFlag ()
PandaNode | getSpawnRenderNode ()
NodePath | getSpawnRenderNodePath ()
float | getSystemAge ()
bool | getSystemGrowsOlderFlag ()
float | getSystemLifespan ()
| induceLabor ()
| Forces the birth of a particle litter this frame by resetting _tics_since_birth.
| render ()
| Populates an attached GeomNode structure with the particle geometry for rendering.
| setActiveSystemFlag (bool a)
| setBirthRate (float new_br)
| setEmitter (BaseParticleEmitter e)
| setFactory (BaseParticleFactory f)
| setFloorZ (float z)
| setLitterSize (int new_ls)
| setLitterSpread (int new_ls)
| setLocalVelocityFlag (bool lv)
| setPoolSize (int size)
| setRenderer (BaseParticleRenderer r)
| setRenderParent (NodePath const node)
| setRenderParent (PandaNode node)
| setSoftBirthRate (float new_br)
| setSpawnOnDeathFlag (bool sod)
| setSpawnRenderNode (PandaNode node)
| setSpawnRenderNodePath (NodePath const node)
| setSystemAge (float age)
| setSystemGrowsOlderFlag (bool sgo)
| setSystemLifespan (float sl)
| setTemplateSystemFlag (bool tsf)
| softStart ()
| Causes system to use birth rate set by set_birth_rate()
| softStart (float br)
| Causes system to use birth rate set by set_birth_rate()
| softStop ()
| Causes system to use birth rate set by set_soft_birth_rate()
| softStop (float br)
| Causes system to use birth rate set by set_soft_birth_rate()
| update (float dt)
| write (ostream out, int indent)
| Write a string representation of this instance to <out>.
| write (ostream out)
| Write a string representation of this instance to <out>.
| writeFreeParticleFifo (ostream out, int indent)
| Write a string representation of this instance to <out>.
| writeFreeParticleFifo (ostream out)
| Write a string representation of this instance to <out>.
| writeSpawnTemplates (ostream out, int indent)
| Write a string representation of this instance to <out>.
| writeSpawnTemplates (ostream out)
| Write a string representation of this instance to <out>.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

Contains and manages a particle system.

## Constructor & Destructor Documentation

ParticleSystem | ( | ParticleSystem const | copy | ) |

Copy Constructor.

ParticleSystem | ( | int | pool_size | ) |

Default Constructor.

ParticleSystem | ( |  | ) |

Default Constructor.

## Member Function Documentation

addSpawnTemplate | ( | ParticleSystem | ps | ) |

clearFloorZ | ( |  | ) |

clearSpawnTemplates | ( |  | ) |

clearToInitial | ( |  | ) |

Resets the system to its start state by resizing to 0, then resizing back to current size.

bool getActiveSystemFlag | ( |  | ) |

float getBirthRate | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from Physical.

BaseParticleEmitter getEmitter | ( |  | ) |

BaseParticleFactory getFactory | ( |  | ) |

float getFloorZ | ( |  | ) |

bool getIWasSpawnedFlag | ( |  | ) |

int getLitterSize | ( |  | ) |

int getLitterSpread | ( |  | ) |

int getLivingParticles | ( |  | ) |

bool getLocalVelocityFlag | ( |  | ) |

int getPoolSize | ( |  | ) |

BaseParticleRenderer getRenderer | ( |  | ) |

NodePath getRenderParent | ( |  | ) |

float getSoftBirthRate | ( |  | ) |

bool getSpawnOnDeathFlag | ( |  | ) |

PandaNode getSpawnRenderNode | ( |  | ) |

NodePath getSpawnRenderNodePath | ( |  | ) |

float getSystemAge | ( |  | ) |

bool getSystemGrowsOlderFlag | ( |  | ) |

float getSystemLifespan | ( |  | ) |

induceLabor | ( |  | ) |

Forces the birth of a particle litter this frame by resetting _tics_since_birth.

render | ( |  | ) |

Populates an attached GeomNode structure with the particle geometry for rendering.

This is a wrapper for accessability.

setActiveSystemFlag | ( | bool | a | ) |

setBirthRate | ( | float | new_br | ) |

setEmitter | ( | BaseParticleEmitter | e | ) |

setFactory | ( | BaseParticleFactory | f | ) |

setFloorZ | ( | float | z | ) |

setLitterSize | ( | int | new_ls | ) |

setLitterSpread | ( | int | new_ls | ) |

setLocalVelocityFlag | ( | bool | lv | ) |

setPoolSize | ( | int | size | ) |

setRenderer | ( | BaseParticleRenderer | r | ) |

setRenderParent | ( | PandaNode | node | ) |

setRenderParent | ( | NodePath const | node | ) |

setSoftBirthRate | ( | float | new_br | ) |

setSpawnOnDeathFlag | ( | bool | sod | ) |

setSpawnRenderNode | ( | PandaNode | node | ) |

setSpawnRenderNodePath | ( | NodePath const | node | ) |

setSystemAge | ( | float | age | ) |

setSystemGrowsOlderFlag | ( | bool | sgo | ) |

setSystemLifespan | ( | float | sl | ) |

setTemplateSystemFlag | ( | bool | tsf | ) |

softStart | ( | float | br | ) |

Causes system to use birth rate set by set_birth_rate()

softStart | ( |  | ) |

Causes system to use birth rate set by set_birth_rate()

softStop | ( | float | br | ) |

Causes system to use birth rate set by set_soft_birth_rate()

softStop | ( |  | ) |

Causes system to use birth rate set by set_soft_birth_rate()

update | ( | float | dt | ) |

write | ( | ostream | out,
|  | int | indent
| ) |  |

Write a string representation of this instance to <out>.

write | ( | ostream | out | ) |

Write a string representation of this instance to <out>.

Reimplemented from Physical.

writeFreeParticleFifo | ( | ostream | out | ) |

Write a string representation of this instance to <out>.

writeFreeParticleFifo | ( | ostream | out,
|  | int | indent
| ) |  |

Write a string representation of this instance to <out>.

writeSpawnTemplates | ( | ostream | out | ) |

Write a string representation of this instance to <out>.

writeSpawnTemplates | ( | ostream | out,
|  | int | indent
| ) |  |

Write a string representation of this instance to <out>.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties